# $Revision: 1.14 $, $Date: 2002/07/07 18:40:17 $
Summary:	C functions that draw extruded surfaces
Summary(pl):	Funkcje C do rysowania skomplikowanych przestrzeni
Name:		gle
Version:	3.0.7
Release:	1
License:	IBM or GPL
Group:		X11/Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/gle/%{name}-%{version}.tar.gz
URL:		http://www.linas.org/gle/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	glut-devel >= 3.7-8
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids. Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path. A local
coordinate system allows for additional flexibility in the primitives
drawn. Extrusions may be texture mapped in a variety of ways. The GLE
library generates 3D triangle coordinates, lighting normal vectors and
texture coordinates as output. GLE uses the GL or OpenGL(R) API's to
perform the actual rendering.

%description -l pl
GLE jest bibliotek funkcji C, ktre pozwalaj na rysowanie
powierzchni toczonych, w tym powierzchni obrotowych, rozcigni,
walcw, stokw i spirali. Oglnie, powierzchnia toczona jest
okrelona krzyw 2D rozcigan wzdu cieki w 3D. Lokalny ukad
wsprzdnych pozwala na dodatkow elastyczno przy rysowaniu
krzywych. Powierzchnie toczone mog mie przypisane tekstury na wiele
sposobw. Biblioteka GLE generuje wsprzdne trjktw w 3D, wektory
normalne dla owietlenia i wsprzdne tekstury; do waciwego
renderowania sceny uywa API GL lub OpenGL(R).

%package devel
Summary:	Libraries, includes, etc to develop gle applications
Summary(pl):	Biblioteki, pliki nagwkowe i dokumentacja dla programisty gle
License:	IBM or GPL (code), Artistic or GPL (examples and docs)
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	OpenGL-devel

%description devel
Include files and documentation you can use to develop gle
applications.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla programisty gle.

%package static
Summary:	Static gle library
Summary(pl):	Biblioteka statyczna libgle
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libgle library.

%description static -l pl
Biblioteka statyczna libgle.

%prep
%setup -q

%build
#rm -f missing
#aclocal
#%{__autoconf}
#%{__automake}
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} clean -C examples
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README COPYING src/COPYING.src
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.{html,gif}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/GL/*
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gle.spec,v $
Revision 1.14  2002/07/07 18:40:17  qboosh
- updated to 3.0.7 (minor fixes)
- added examples, updated License information (different in subpackages)
- c++ patch is no more needed

Revision 1.13  2002/04/25 16:24:49  arturs
fixed a small typo

Revision 1.12  2002/04/17 09:17:49  marcus
- rel.4.

Revision 1.11  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/25 01:00:55  qrczak
- gle-c++.patch: use -lstdc++ for linking C++ programs

Revision 1.7  2001/10/20 16:49:03  qboosh
- better pl description
- use %%configure2_13 (autoconf would require some fixes)
- buildrequire glut with fixed linking
- release 3

Revision 1.6  2001/10/03 16:43:50  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.5  2001/05/22 00:06:45  qboosh
- updated to 3.0.3
- removed obsolete configure patch and unnecessary rebuilding auto* stuff

Revision 1.4  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.3  2001/04/06 22:51:36  qboosh
- base package Requires OpenGL, -devel Requires OpenGL-devel

Revision 1.2  2001/04/02 07:33:45  kloczek
- cosmetics.

Revision 1.1  2001/04/01 09:28:53  misiek
new GL/OpenGL related library
